Subject: [bug#70282] [PATCH v3] gnu: gnome-shell: Wrap screencast service.

From: Dariqq <[email-masked]>
Date: Wed, 8 May 2024 12:57:43 +0000

Hi Liliana,

Were you able to take a look at v3 yet? I've sent it a couple of weeks 
ago utilizing Glib.setenv to set the gst plugin path.

Have a nice day.

On 21.04.24 14:43, Liliana Marie Prikler wrote:
> Am Sonntag, dem 21.04.2024 um 12:37 +0000 schrieb Dariqq:
>>>
>> [...]
>> I've just found GLib.setenv() to set environment variables for the
>> process directly from within gjs. The GLib typelib comes from the
>> gobject-introspection package so this should be available.
>>
>>  From my limited testing it seems to work (at least for the screencast
>> service). What do you think?
> Yes, GLib.setenv is the function I had in mind to twiddle the
> environment.  If you find the right location to do so at the start of
> the program, please send a patch that does that.
> 
> Cheers